Bug 1443408 - CVE-2017-3308 CVE-2017-3309 CVE-2017-3453 CVE-2017-3456 CVE-2017-3464 mariadb: various flaws [fedora-all]
Summary: CVE-2017-3308 CVE-2017-3309 CVE-2017-3453 CVE-2017-3456 CVE-2017-3464 mariadb...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 25
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-3308 CVE-2017-3309 CVE-2017-3453 CVE-2017-3456 CVE-2017-3464 1443387
TreeView+ depends on / blocked
 
Reported: 2017-04-19 08:11 UTC by Adam Mariš
Modified: 2017-09-05 20:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-05 20:17:05 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-04-19 08:11:45 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2017-04-19 08:11:56 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1443358,1443359,1443360,1443365,1443369,1443376,1443377,1443378,1443379,1443387,1443408

# Description of your update
notes=Security fix for CVE-2017-3308, CVE-2017-3309, CVE-2017-3329, CVE-2017-3453, CVE-2017-3456, CVE-2017-3461, CVE-2017-3462, CVE-2017-3463, CVE-2017-3464, CVE-2017-3600

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Michal Schorm 2017-07-10 10:32:53 UTC
Fixed in 10.1.23 (current version is 10.1.24):
  CVE-2017-3308
  CVE-2017-3309
  CVE-2017-3453
  CVE-2017-3456
  CVE-2017-3464

Not fixed yet:
  CVE-2017-3461
  CVE-2017-3462
  CVE-2017-3463

Source:
  https://mariadb.com/kb/en/mariadb/security/

Comment 3 Michal Schorm 2017-09-05 12:56:30 UTC
Tomas, 
can you please check, that those 3 CVE's left are really applicable to
  MDB >=10.1.26 in Fedora <= F26
  MDB >=10.2.8 in Fedora >= F27

This tracker bug is few months old, and upstream does not seem to plan to fix those CVE's.
But if they are applicable, I'll reach upstream, ask them, if they know about them and I'll bring some fix.

Comment 4 Tomas Hoger 2017-09-05 19:58:30 UTC
According to the following page:

https://mariadb.com/kb/en/the-mariadb-library/security-vulnerabilities-in-oracle-mysql-that-did-not-exist-in-mariadb/#httpwwworaclecomtechnetworksecurity-advisorycpuapr2017-3236618htmlapril-2017

MariaDB upstream does not believe CVE-2017-3461/2/3 were applicable to MariaDB.

Comment 5 Michal Schorm 2017-09-05 20:17:05 UTC
Good,
  thank you.

In that case, everything fixed !


Note You need to log in before you can comment on or make changes to this bug.